Subject: Re: [PATCH v6 0/5] Reftable support git-core

From: Jonathan Nieder <[email-masked]>
Date: Wed, 26 Feb 2020 09:41:17 -0800

(+Josh Steadmon, fuzz testing specialist)
Han-Wen Nienhuys wrote:

> You have convinced me that we should go with the 4-byte identifier.
>
> How about setting version=2 and extending the header by 4 bytes (which hold
> the 4-byte identifier). The footer would also be increased in size.

SGTM.

> BTW, could we document that a reftable consisting of just a footer is a
> valid table too?

Yes, SGTM as well.

Do you have sample reftables collected somewhere that you use for
testing?  Asking since that would help us set up some fuzz tests. :)

Thanks,
Jonathan